Subject: Re: [PATCH] rtw88: 8821c: Add RFE 2 support

From: Kalle Valo <[email-masked]>
Date: Tue, 02 Feb 2021 08:29:40 +0200

Kai-Heng Feng <[email-masked]> writes:

> On Wed, Aug 5, 2020 at 7:24 PM Kai-Heng Feng
> <[email-masked]> wrote:
>>
>> Hi Tony,
>>
>> > On Aug 5, 2020, at 19:18, Tony Chuang <[email-masked]> wrote:
>> >
>> >> 8821CE with RFE 2 isn't supported:
>> >> [   12.404834] rtw_8821ce 0000:02:00.0: rfe 2 isn't supported
>> >> [   12.404937] rtw_8821ce 0000:02:00.0: failed to setup chip efuse info
>> >> [   12.404939] rtw_8821ce 0000:02:00.0: failed to setup chip information
>> >>
>> >
>> > NACK
>> >
>> > The RFE type 2 should be working with some additional fixes.
>> > Did you tested connecting to AP with BT paired?
>>
>> No, I only tested WiFi.
>>
>> > The antenna configuration is different with RFE type 0.
>> > I will ask someone else to fix them.
>> > Then the RFE type 2 modules can be supported.
>>
>> Good to know that, I'll be patient and wait for a real fix.
>
> It's been quite some time, is support for RFE type 2 ready now?

It looks like this patch should add it:

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches